#pragma once
#ifdef __EMSCRIPTEN__
extern "C" {
    extern void write_storage(const char *key, const char *value, int len);
    extern void remove_storage(const char *key);
    extern void read_storage(const char *key, const char **value, int *len);
    extern void open_filepicker();
    extern void set_filter(const char *filter);
    extern const char *get_first_file();
    extern bool file_picker_cancelled();
    extern bool file_picker_confirmed();
    extern bool file_picker_closed();
    extern bool file_picker_visible();
    extern bool file_picker_loading();
    extern void clear_file_selection();
    extern void find_keys(const char *prefix, const char ***output);
}
#endif